Inbox
List DM conversations
GET
Newest message first. q searches the customer's username or name. Starter, Basic and Pro plans (403 plan_feature_unavailable otherwise).
Requires the read scope.
bearerheader
AuthorizationBearer <token>An API key (tb_live_...) from the dashboard, or an OAuth access token.
account_id?stringFormat
uuidaccount_ids?stringstatus?stringValue in
"open""done"q?stringLength
1 <= length <= 100limit?integerRange
1 <= value <= 100Default
30cursor?stringTebar-Profile?stringLimits an owner key to one profile (id or external_id). Unknown: 404 profile_not_found.
A page of conversations.
application/json- response
data*array<>next_cursor*string|nullcurl -X GET 'https://api.tebar.app/v1/inbox/conversations'Example Response
{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"profile_id": "bfcb6779-b1f9-41fc-92d7-88f8bc1d12e8",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"platform": "threads",
"username": "string",
"display_name": "string"
},
"contact": {
"platform_id": "string",
"username": "string",
"name": "string",
"avatar_url": "string",
"follower_count": 0,
"follows_you": true,
"verified": true
},
"status": "open",
"unread_count": 0,
"last_message_at": "2019-08-24T14:15:22Z",
"last_message_preview": "string",
"last_message_unsent": true,
"last_message_direction": "in",
"window_expires_at": "2019-08-24T14:15:22Z",
"human_agent_expires_at": "2019-08-24T14:15:22Z",
"held_by_other_app": true
}
],
"next_cursor": "string"
}